Skip to main content

add_stream

Register a stream and its monitoring configuration.

  • Method: POST
  • Path: /add_stream

Request Body

{
"stream_url": "rtsp://camera/live",
"name": "Warehouse Camera 01",
"frame_rate": 5,
"index_for_search": true,
"search_index_types": ["image"],
"regions": [],
"lines": [],
"notification": {},
"recording": {},
"effects": {}
}
FieldTypeDescription
stream_urlstringRTSP URL for the stream.
namestringFriendly stream name.
frame_ratenumberProcessing frame rate.
index_for_searchbooleanWhether detections from this stream should be indexed for search.
search_index_typesstring[]Search index types to build when indexing is enabled.
regionsRegion[]Detection regions and configuration.
linesLine[]Optional named lines used by detection conditions.
notificationNotificationOptional notification settings.
recordingRecordingOptional recording settings.
effectsEffectsOptional overlay settings.

Success Response

{
"success": true,
"message": "stream successfully added",
"data": null
}